libtheora (1.1.1+dfsg.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng16 (Closes: #809949)
  * Drop python from B-D for easier cross building (Closes: #794591)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 10:54:49 +0100

libtheora (1.1.1+dfsg.1-7) unstable; urgency=low

  [ Martin Steghöfer ]
  * Tag existing patches properly and use git-buildpackage patch queue
    for all our patches.
  * Fix FTBFS with new LaTeX.
    Thanks to Ralph Giles (Closes: #790442)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 12:24:50 +0200

libtheora (1.1.1+dfsg.1-6) unstable; urgency=low

  [ Martin Steghöfer ]
  * Add missing -lm to player-example.  Thanks to Simon
    McVittie (Closes: #768685)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Nov 2014 14:46:22 +0100

libtheora (1.1.1+dfsg.1-5) unstable; urgency=low

  * Switch to source format 3.0 (quilt).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2014 15:17:50 +0200

libtheora (1.1.1+dfsg.1-4) unstable; urgency=low

  [ Martin Steghöfer ]
  * Updated VCS meta information to list git repository.

  [ Petter Reinholdtsen ]
  * Drop John Francesco Ferlito and add me and Martin Steghöfer as
    uploaders.
  * Updated standards-version from 3.9.5 to 3.9.6.
  * Drop unused build dependency graphviz (Closes: #751702).  Patch
    from Peter Pentchev.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 21 Oct 2014 22:59:53 +0200

libtheora (1.1.1+dfsg.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches taken from Ubuntu:
    - Use dh-autoreconf for current libtool.
    - Move transfig, texlive, ghostscript to Build-Depends-Indep,
      since they're only used for doc building.
  * Remove patches for regenerated autotools files.
  * Add "Build-Depends: texlive-fonts-recommended" to fix FTBFS (Hideki
    Yamane). Closes: #738606.
  * Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662412.
  * Fix linitan warnings:
    - Remove unused build dependency on cdbs.
    - Don't start description synopsis with an article.
  * Bump standards version to 3.9.5.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Mar 2014 05:46:13 +0100

libtheora (1.1.1+dfsg.1-3.1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf for current libtool.
  * Move transfig, texlive, ghostscript to Build-Depends-Indep, since they're
    only used for doc building.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Dec 2013 00:33:29 -0800

libtheora (1.1.1+dfsg.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Support multi-arch: (closes: #646314)
    - Build-depend against newer debhelper.
    - Use debhelper compat level 9, fix invocation.
    - Mark libtheora-bin as foreign.
    - Mark libtheora0, libtheora-dev and libtheora-dbg as same.
    - Adjust installation directories.

 -- Bastian Blank <waldi@debian.org>  Fri, 11 May 2012 14:33:27 +0000

libtheora (1.1.1+dfsg.1-3) unstable; urgency=low

  * Need to patch configure for hurd support as well (Closes: #555670).

 -- John Francesco Ferlito <johnf@inodes.org>  Wed, 23 Dec 2009 19:33:12 +1100

libtheora (1.1.1+dfsg.1-2) unstable; urgency=low

  * Add extra dh rules to symlink in config.{sub,guess} (Closes: #561025).

 -- John Francesco Ferlito <johnf@inodes.org>  Wed, 16 Dec 2009 23:33:07 +1100

libtheora (1.1.1+dfsg.1-1) unstable; urgency=low

  * Go back to dfsg package (Closes: #554457).
  * Remove uneeded hurd symbols and added patch to support verisoning for
    hurd, this patch has been sent upstream (Closes: #555670).
  * Move to using dh in debian/rules

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 11 Dec 2009 23:34:26 +1100

libtheora (1.1.1-2) unstable; urgency=low

  * Fix cut and paste bug on description for debug package (Closes: #549962).

 -- John Francesco Ferlito <johnf@inodes.org>  Wed, 07 Oct 2009 10:27:47 +1100

libtheora (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Improve description now that Thusnelda has been released (Closes: #548698).
  * Add a libtheora-dbg package.

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 04 Oct 2009 14:48:23 +1100

libtheora (1.1.0-1) unstable; urgency=low

  [ John Francesco Ferlito ]
  * New upstream release.
  * debian/control:
    + Update Maintainer to Debian Xiph.org Maintainers.
    + Add John Francesco Ferlito to Uploaders.
    + Add transfig and texlive-latex-base as a Build-Dep so the .pdf builds.
  * debian/libtheora-doc.examples
    + Add examples to doc package (Closes: #263442).
  * debian/rules:
    + Remove unneeded rm of doxygen-build.stamp
  * debian/libtheora0.symbols*
    + Clean-up the duplication in the symbols files.
  * Upstream no longer contains relocatable code (Closes: #493678).

  [ Rogério Brito ]
  * debian/libtheora0.install:
    + simplify the rules to be more generic.
  * debian/control:
    + include versioned dependency on debhelper >= 5.
    + include ${misc:Depends} due to debhelper.
    + remove duplicate Section: fields.
    + include Homepage: field.
    + remove versioned dependency on cdbs (even oldstable and dapper have it).
    + remove versioned dependency on libogg-dev (idem).
  * debian/compat:
    + update to 5, as discussed above.
  * debian/patches:
    + include comment in the patch.
    + refreshed the patch.
  * debian/README.Source:
    + rename to README.source.
    + include comments regarding the use of quilt, as per policy >= 3.8.0.
  * debian/libtheora-doc*:
    + split the documentation in a documentation package, as it is "big".
  * debian/libtheora-doc.doc-base:
    + register with the system to keep things tidy.
  * debian/rules:
      + remove some extra files so that the package can be built twice in a row.


 -- John Francesco Ferlito <johnf@inodes.org>  Sat, 26 Sep 2009 12:13:07 +1000

libtheora (1.1~beta3-1) unstable; urgency=low

  * New upstream beta release.
  * Bump to Standards-Version 3.8.3.
  * Set Maintainer to Debian QA Group.

 -- Clint Adams <schizo@debian.org>  Tue, 22 Sep 2009 19:06:28 -0400

libtheora (1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libtheora-dev.install:
    + Add missing post 1.0 headers, libraries, pkg-config files.
      Patch by Philip Jägenstedt <philip@foolip.org> (Closes: #528710).
  * debian/*.symbols:
    + Update symbols files for the new libraries.
  * Rebuild fixes reference to non-existing libogg.la (Closes: #540109).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Aug 2009 10:20:25 +0200

libtheora (1.0-2) unstable; urgency=low

  * Stop unconditionally stripping.  closes: #516346.
  * Remove myself from Uploaders.

 -- Clint Adams <schizo@debian.org>  Sat, 28 Feb 2009 10:04:19 -0500

libtheora (1.0-1) unstable; urgency=low

  * New upstream release.
  * Include theoradec.h and theoraenc.h in libtheora-dev package.
    closes: #514620.
  * Bump to Standards-Version 3.8.0.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Feb 2009 10:52:24 -0500

libtheora (1.0~beta3-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Wed, 23 Apr 2008 14:08:37 -0400

libtheora (1.0~beta2-4) unstable; urgency=low

  * Build-depend on libpng12-dev and pkg-config, and include
    png2theora in libtheora-bin. closes: #471660.

 -- Clint Adams <schizo@debian.org>  Wed, 19 Mar 2008 11:10:22 -0400

libtheora (1.0~beta2-3) unstable; urgency=low

  * Fix watch file to handle alpha/beta tarballs.
  * Bump to Standards-Version 3.7.3.
  * Add symbols files for alpha, amd64, arm, hppa, hurd-i386, i386, ia64,
    m68k, mips, mipsel, powerpc, s390, and sparc.
  * Build-depend on dpkg (>= 1.14.8).

 -- Clint Adams <schizo@debian.org>  Sun, 06 Jan 2008 00:59:13 -0500

libtheora (1.0~beta2-2) unstable; urgency=low

  * Apply patch from Sebiastien Bacher to enable libtheora-bin
    package.  closes: #452441, #258694, #294457.

 -- Clint Adams <schizo@debian.org>  Thu, 22 Nov 2007 17:48:03 -0500

libtheora (1.0~beta2-1) unstable; urgency=low

  * New upstream beta release.  closes: #446485.
  * Change XS-VCS-Bzr header to VCS-Bzr.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Oct 2007 08:25:38 -0400

libtheora (1.0~beta1-1) unstable; urgency=low

  * New upstream beta release.
    - Remove upstream_r12376-amd64_unpack_comment_crash.diff.
  * Change Source-Version to binary:Version.

 -- Clint Adams <schizo@debian.org>  Sat, 22 Sep 2007 14:56:16 -0400

libtheora (0.0.0.alpha7.dfsg-2) unstable; urgency=medium

  * Add upstream_r12376-amd64_unpack_comment_crash.diff to fix
    64-bit cleanness problem.  closes: #383793.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Jan 2007 11:22:57 -0500

libtheora (0.0.0.alpha7.dfsg-1.1) unstable; urgency=low

  * NMU
  * Remove draft RFC files, as they are not under a free license.
    Closes: #390665
  * Repackage the source package without these files.
  * Add README.Source documenting how the upstream source is repackages.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Oct 2006 17:11:31 -0400

libtheora (0.0.0.alpha7-1) unstable; urgency=low

  * New upstream version (1.0alpha7).

 -- Clint Adams <schizo@debian.org>  Sat, 24 Jun 2006 18:06:53 -0400

libtheora (0.0.0.alpha6-1) unstable; urgency=low

  * New upstream version (1.0alpha6).  closes: #369843.
  * Bump Standards-Version to 3.7.2.
  * Steal text from the FAQ for libtheora0's description.
    closes: #257100.

 -- Clint Adams <schizo@debian.org>  Sat,  3 Jun 2006 13:37:20 -0400

libtheora (0.0.0.alpha5-1) unstable; urgency=low

  * New upstream version (1.0alpha5).
  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).
  * Bump Standards-Version to 3.6.2.
  * Change patchsys to quilt, and add build-dep on quilt.
  * Update autotools patch for new upstream version.
  * Change build-dep from automake1.6 to automake1.9.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Jan 2006 22:02:56 -0500

libtheora (0.0.0.alpha4-1.1) unstable; urgency=high

  * NMU, because an FTBFS keeps it out from testing
  * fixed the build things (closes: #300422, #290465, #297816)
  * created libtheora-bin package (but disabled it)
  	- since it is only a wishlist and new queue is large enough
        - see debian/control.bin...

 -- RISKO Gergely <risko@debian.org>  Fri,  1 Apr 2005 19:43:07 +0200

libtheora (0.0.0.alpha4-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 21:40:00 -0600

libtheora (0.0.0.alpha3-1) unstable; urgency=low

  * Initial upload to Debian.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 29 Jun 2004 22:00:00 -0500

libtheora (0.0.0-0) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 25 Sep 2002 21:00:00 -0500

